package com.ruoyi.system.domain;

import com.alibaba.fastjson.annotation.JSONField;

import java.math.BigDecimal;

public class Invoice {

    public Invoice() {
    }
    @JSONField(name = "序号")
    private Integer id;
    @JSONField(name = "迅网内部开票申请号")
    private String xunWangIndoorInvoiceNumber;
    @JSONField(name = "甲方开票通知单编号")
    private String firstPartInvoice;
    @JSONField(name = "甲方标段编号")
    private String firstPartSectionNumber;
    @JSONField(name = "甲方订单完成确认单编号")
    private String firstPartInvoiceConfirmNumber;
    @JSONField(name = "项目名称")
    private String projectName;
    @JSONField(name = "订单确认金额_元")
    private BigDecimal orderConfirmMoney;
    @JSONField(name = "本次开票金额_元")
    private BigDecimal invoiceMoneyThisTime;
    @JSONField(name = "税率")
    private String taxRate;
    @JSONField(name = "甲方通知人")
    private String firstPartContact;
    @JSONField(name = "订单第几次通知")
    private String orderInformCount;
    @JSONField(name = "订单累计开票进度")
    private BigDecimal orderProgress;
    @JSONField(name = "甲方通知日期")
    private String firstPartInformTime;
    @JSONField(name = "结算模式")
    private String clearingMode;
    @JSONField(name = "甲方全称")
    private String firstPartFullName;
    @JSONField(name = "乙方全称")
    private String secondPartFullName;
    @JSONField(name = "开票是否拆分")
    private String invoiceIsSplit;
    @JSONField(name = "迅网项目号")
    private String xunWangProjectNumber;
    @JSONField(name = "需要说明的情况")
    private String explainInfo;
    @JSONField(name = "申请人")
    private String applicant;
    @JSONField(name = "申请人ID")
    private String applicantID;
    @JSONField(name = "上传人")
    private String uploadPerson;
    @JSONField(name = "上传人ID")
    private String uploadPersonID;
    @JSONField(name = "对应收入号")
    private String correspondingIncomeNumber;
    @JSONField(name = "上传时间")
    private String uploadTime;


    public String getCorrespondingIncomeNumber() {
        return correspondingIncomeNumber;
    }

    public void setCorrespondingIncomeNumber(String correspondingIncomeNumber) {
        this.correspondingIncomeNumber = correspondingIncomeNumber;
    }

    public String getTaxRate() {
        return taxRate;
    }

    public void setTaxRate(String taxRate) {
        this.taxRate = taxRate;
    }

    public Integer getId() {
        return id;
    }

    public void setId(Integer id) {
        this.id = id;
    }

    public String getXunWangIndoorInvoiceNumber() {
        return xunWangIndoorInvoiceNumber;
    }

    public void setXunWangIndoorInvoiceNumber(String xunWangIndoorInvoiceNumber) {
        this.xunWangIndoorInvoiceNumber = xunWangIndoorInvoiceNumber;
    }

    public String getFirstPartInvoice() {
        return firstPartInvoice;
    }

    public void setFirstPartInvoice(String firstPartInvoice) {
        this.firstPartInvoice = firstPartInvoice;
    }

    public String getFirstPartSectionNumber() {
        return firstPartSectionNumber;
    }

    public void setFirstPartSectionNumber(String firstPartSectionNumber) {
        this.firstPartSectionNumber = firstPartSectionNumber;
    }

    public String getFirstPartInvoiceConfirmNumber() {
        return firstPartInvoiceConfirmNumber;
    }

    public void setFirstPartInvoiceConfirmNumber(String firstPartInvoiceConfirmNumber) {
        this.firstPartInvoiceConfirmNumber = firstPartInvoiceConfirmNumber;
    }

    public String getProjectName() {
        return projectName;
    }

    public void setProjectName(String projectName) {
        this.projectName = projectName;
    }

    public BigDecimal getOrderConfirmMoney() {
        return orderConfirmMoney;
    }

    public void setOrderConfirmMoney(BigDecimal orderConfirmMoney) {
        this.orderConfirmMoney = orderConfirmMoney;
    }

    public BigDecimal getInvoiceMoneyThisTime() {
        return invoiceMoneyThisTime;
    }

    public void setInvoiceMoneyThisTime(BigDecimal invoiceMoneyThisTime) {
        this.invoiceMoneyThisTime = invoiceMoneyThisTime;
    }

    public String getFirstPartContact() {
        return firstPartContact;
    }

    public void setFirstPartContact(String firstPartContact) {
        this.firstPartContact = firstPartContact;
    }

    public String getOrderInformCount() {
        return orderInformCount;
    }

    public void setOrderInformCount(String orderInformCount) {
        this.orderInformCount = orderInformCount;
    }

    public BigDecimal getOrderProgress() {
        return orderProgress;
    }

    public void setOrderProgress(BigDecimal orderProgress) {
        this.orderProgress = orderProgress;
    }

    public String getFirstPartInformTime() {
        return firstPartInformTime;
    }

    public void setFirstPartInformTime(String firstPartInformTime) {
        this.firstPartInformTime = firstPartInformTime;
    }

    public String getClearingMode() {
        return clearingMode;
    }

    public void setClearingMode(String clearingMode) {
        this.clearingMode = clearingMode;
    }

    public String getFirstPartFullName() {
        return firstPartFullName;
    }

    public void setFirstPartFullName(String firstPartFullName) {
        this.firstPartFullName = firstPartFullName;
    }

    public String getSecondPartFullName() {
        return secondPartFullName;
    }

    public void setSecondPartFullName(String secondPartFullName) {
        this.secondPartFullName = secondPartFullName;
    }

    public String getInvoiceIsSplit() {
        return invoiceIsSplit;
    }

    public void setInvoiceIsSplit(String invoiceIsSplit) {
        this.invoiceIsSplit = invoiceIsSplit;
    }

    public String getXunWangProjectNumber() {
        return xunWangProjectNumber;
    }

    public void setXunWangProjectNumber(String xunWangProjectNumber) {
        this.xunWangProjectNumber = xunWangProjectNumber;
    }

    public String getExplainInfo() {
        return explainInfo;
    }

    public void setExplainInfo(String explainInfo) {
        this.explainInfo = explainInfo;
    }

    public String getApplicant() {
        return applicant;
    }

    public void setApplicant(String applicant) {
        this.applicant = applicant;
    }

    public String getUploadPerson() {
        return uploadPerson;
    }

    public void setUploadPerson(String uploadPerson) {
        this.uploadPerson = uploadPerson;
    }

    public String getApplicantID() {
        return applicantID;
    }

    public void setApplicantID(String applicantID) {
        this.applicantID = applicantID;
    }

    public String getUploadPersonID() {
        return uploadPersonID;
    }

    public void setUploadPersonID(String uploadPersonID) {
        this.uploadPersonID = uploadPersonID;
    }

    public String getUploadTime() {
        return uploadTime;
    }

    public void setUploadTime(String uploadTime) {
        this.uploadTime = uploadTime;
    }

    @Override
    public String toString() {
        return "Invoice{" +
                "id=" + id +
                ", xunWangIndoorInvoiceNumber='" + xunWangIndoorInvoiceNumber + '\'' +
                ", firstPartInvoice='" + firstPartInvoice + '\'' +
                ", firstPartSectionNumber='" + firstPartSectionNumber + '\'' +
                ", firstPartInvoiceConfirmNumber='" + firstPartInvoiceConfirmNumber + '\'' +
                ", projectName='" + projectName + '\'' +
                ", orderConfirmMoney=" + orderConfirmMoney +
                ", invoiceMoneyThisTime=" + invoiceMoneyThisTime +
                ", taxRate='" + taxRate + '\'' +
                ", firstPartContact='" + firstPartContact + '\'' +
                ", orderInformCount='" + orderInformCount + '\'' +
                ", orderProgress=" + orderProgress +
                ", firstPartInformTime='" + firstPartInformTime + '\'' +
                ", clearingMode='" + clearingMode + '\'' +
                ", firstPartFullName='" + firstPartFullName + '\'' +
                ", secondPartFullName='" + secondPartFullName + '\'' +
                ", invoiceIsSplit='" + invoiceIsSplit + '\'' +
                ", xunWangProjectNumber='" + xunWangProjectNumber + '\'' +
                ", explainInfo='" + explainInfo + '\'' +
                ", applicant='" + applicant + '\'' +
                ", uploadPerson='" + uploadPerson + '\'' +
                ", correspondingIncomeNumber='" + correspondingIncomeNumber + '\'' +
                ", uploadTime='" + uploadTime + '\'' +
                '}';
    }
}
